* {
    margin: 0;
    padding: 0;
}

.signupSection {
    display: flex;
    justify-content: center;
    padding: 0 20px;
}

.formContainer {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    /* background-color: var(--card-bg); */
    padding: 50px 0;
}

.signupForm {
    background-color: white;
    padding: 15px;
    border-radius: 15px;
    border: 2px solid var(--btn-shadow-sec);
    box-shadow: 0 0 8px 0 var(--border);
    width: 100%;
    max-width: 330px;
    display: flex;
    flex-direction: column;
}

.signupForm>h3 {
    font-weight: 800;
    font-size: 26px;
    color: #3c0485;
    text-align: center;
    padding-bottom: 4px;
}

.signupForm>p {
    padding-bottom: 10px;
    text-align: center;
    color: var(--text-color);
}

.signupFormField {
    display: flex;
    flex-direction: column;
    margin-bottom: 8px;
}

.signupFormField>input {
    background: linear-gradient(#ffffffa4, #ffffff4d);
    padding: 8px 12px;
    outline: none;
    border: 2px solid var(--border);
    border-radius: 30px;
    font-size: 18px;
}

.signupSubmitBtn {
    background-color: var(--primary-color);
    border: 2px solid var(--primary-color-dark);
    border-radius: 30px;
    color: rgb(214, 214, 214);
    padding: 8px 10px;
    cursor: pointer;
    font-size: 18px;
    font-weight: 600;
    letter-spacing: 1px;
    font-family: "Inter", sans-serif;
}

.signupSubmitBtn:hover {
    background-color: var(--primary-color-dark);
    box-shadow: 0 0 5px 2px #3c048560;
}

.signupSubmitBtn:active {
    background-color: var(--primary-color);
}

.signupSubmitBtn:disabled {
    background-color: #989699;
    opacity: 0.5;
    cursor: not-allowed;
}

.signupLoginLink {
    margin-top: 10px;
    font-size: 16px;
    font-family: "Inter", sans-serif;
}

.signupLoginLink>a {
    text-decoration: none;
    color: #2d0068;
    font-weight: 700;
}

.loaderContainer,
.emailLoaderContainer,
.submitErrorContainer, .otpInfoContainer {
    display: none;
    align-content: center;
    gap: 8px;
    /* margin-top: 5px; */
}

.loader,
.emailLoader,
.submitLoader, .otpLoader {
    border: 3px solid #8d36ff;
    border-top: 3px solid #2d0068;
    border-radius: 50%;
    width: 16px;
    height: 16px;
    background-color: transparent;
    margin-top: 5px;
    animation: spinner 1s linear infinite;
}

@keyframes spinner {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.usernameInfo,
.Full_Name_Info,
.Password_Info,
.Confirm_Password_Info,
.Email_Info,
.submitError, .otpInfo {
    font-size: 16px;
    font-family: "Inter", sans-serif;
    color: var(--text-color-dark);
    margin-top: 5px;
    font-weight: 600;
    text-align: left;
}

.showPassField {
    margin-top: 5px;
    display: flex;
    align-items: center;
    gap: 5px;
}

.showPassField>label {
    color: #2f2836;
}

#password_Checkbox {
    width: 18px;
    height: 18px;
    border: 2px solid #d9bcff;
    border-radius: 5px;
    accent-color: #2d0068;
    cursor: pointer;
}

.orContainer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: 4px;
    padding: 8px 0;
}

.or {
    font-size: 15px;
    color: #2f2836;
}

.line {
    width: 130px;
    height: 6px;
    color: #989699;
}

.social_Login_Btns {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 7px;
    ;
}

.Gbtn {
    background-color: var(--footer-bg-color);
    border: 2px solid var(--btn-shadow-sec);
    border-radius: 30px;
    color: #464646;
    padding: 8px 12px;
    cursor: pointer;
    font-size: 15px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    font-family: "Inter", sans-serif;
    font-weight: 600;
    width: 100%;
    letter-spacing: 1px;
}

.Gbtn:hover {
    background-color: var(--card-bg);
    box-shadow: 0 0 2px var(--border);
}

.googleIcon {
    width: 22px;
    height: 22px;
}

.FBbtn {
    background-color: var(--secondary-color);
    border: 2px solid var(--primary-color);
    border-radius: 30px;
    color: rgb(214, 214, 214);
    padding: 8px 12px;
    cursor: pointer;
    font-size: 15px;
    font-weight: 600;
    letter-spacing: 1px;
    font-family: "Inter", sans-serif;
    width: 100%;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.FBbtn:hover {
    background-color: #5a00cf;
    box-shadow: 0 0 5px 2px #3c048560;
}

.fbBtn:active {
    background-color: var(--primary-color);
}

.fbIcon {
    width: 22px;
    height: 22px;
}

/* OTP Form */
.otpForm {
    background-color: white;
    padding: 15px;
    border: 2px solid var(--btn-shadow-sec);
    border-radius: 15px;
    box-shadow: 0 0 8px 0 var(--border);
    width: 100%;
    max-width: 330px;
    justify-self: end;
    display: none;
}

.otpForm>h3 {
    font-size: 26px;
    padding-bottom: 6px;
    text-align: center;
}

.otpForm>p {
    padding-bottom: 10px;
    text-align: center;
    font-size: 15px;
}

.otpForm>input {
    background: linear-gradient(#ffffffa4, #ffffff4d);
    padding: 8px 12px;
    outline: none;
    border: 2px solid var(--border);
    border-radius: 10px;
    font-size: 18px;
    width: 100%;
}

.otpVerifyBtn {
    background-color: #3c0485;
    border: 3px solid #2d0068;
    border-radius: 30px;
    color: rgb(214, 214, 214);
    padding: 8px 10px;
    cursor: pointer;
    font-size: 18px;
    font-weight: 600;
    letter-spacing: 1px;
    font-family: "Inter", sans-serif;
    margin-top: 10px;
    width: 100%;
}

.otpVerifyBtn:hover {
    background-color: #2a0161;
    box-shadow: 0 0 5px 2px #2b016113;
}

.otpVerifyBtn:active {
    background-color: #6b00f78e;
}

.otpVerifyBtn:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}